package types

import (
	"wartank/pkg/alias"
	"wartank/pkg/bot"
)

// IDesktop -- интерфейс к десктоп-приложению
type IDesktop interface {
	// SetWin -- устанавливает окно для показа
	SetWin(alias.AWinName)
	// IsConnect -- возвращает признак подключенности к серверу ботов
	IsConnect() bool
	// Connect -- подклячает клиента к бото-ферме
	Connect() error
	// IsLogin -- возвращает признак логина на сервере ботов
	IsLogin() bool
	// SetLogin -- устанавливает логин для входа на бото-ферму
	SetLogin(login string)
	// MakeLogin -- выпонляет логин на сервер
	MakeLogin() error
	// SetHost -- устанавливает имя хоста бото-фермы
	SetHost(host string)
	// SetPass -- устанавливает пароль для входа на бото-ферму
	SetPass(password string)
	// SetBotLogin -- устанавливает логин текущего бота
	SetBotLogin(login string)
	// SetBotPass -- устанавливает пароль текущего бота
	SetBotPass(password string)
	// LstBot -- список ботов из клиента
	LstBot() []*bot.Bot
	// CurrentBotStart -- запускает в работу текущего бота
	CurrentBotStart()
}
